Skip to content

Device ​

82 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).

OperationMethodSummary
getAdoptTipGETGet adopt tip
searchGlobalDeviceGETGlobal search for devices returns the devices under the sites that have permissions.
exportAddFailDevicesGETExport the device file that failed to add in GLOBAL view.
getAdoptAbleDevicesForGlobalBatchAdoptGETBatch get info of adopted device in global view.
exportGlobalDeviceListPOSTExport device list in GLOBAL view
getGlobalDeviceIncidentCountsPOSTGet global device incident counts
getGlobalKnownDeviceListGETGet global known device list
getGridAdoptedDevicesStatByGlobalGETQuery the statistics for the list of global adopted devices.
getGlobalUnknownDeviceListGETGet global unknown device list
exportPreConfigDevicesGlobalPOSTExport preconfigured devices in GLOBAL view.
activeDeviceWithMultiSitePOSTBatch active devices with multi site
getAddDevicesStatusMultiSiteGETBatch get added device status with multi site
addDevicesBySnWithMultiSitePOSTBatch add devices by SN with multi site
getCheckFirmwareTaskResultGETGet the result of the given check latest firmware task
onlineCheckUpgradePOSTStart check latest firmware for all devices
moveSiteForApsPOSTMove aps to another site
downloadDeviceInfoGETDownload device information.
batchAdoptPOSTbatch adopt device
onlineRollingUpgradeByQueryPOSTStart batch rolling upgrade By Query
getDeviceWhiteListGETGet the whitelist list of devices.
getDeviceListGETGet site device list
retryAddDevicePOSTRetry add device
getDeviceAdoptResultGETGet device adopt result
checkMacTypeGETCheck the device type by mac.
forceProvisionDevicePOSTForce provision device
forgetDevicePOSTForget device
getSingleForgetProcessGETGet forget process of device
getFirmwareInfoGETGet the latest firmware info of the device
locateDevicePOSTLocate device
getSingleMoveSiteProcessGETGet move site process of device
getOnlineUpgradeResGETGet online upgrade result
rebootDevicePOSTReboot device
getDeviceRememberMeGETGet device remember Config
modifyDeviceRememberMePOSTModify device remember Config
deleteReplaceRecordDELETEDelete replace record
createReplaceRecordPOSTCreate replace record
modifyReplaceRecordPUTModify replace record
checkReplaceRecordPOSTCheck replace record
moveSitePOSTMove site
adoptDevicePOSTStart adopt device
onlineUpgradePOSTStart online upgrade
getOnlineTimelineGETGet device online timeline
getAllDeviceBySiteGETGet device list info.
copyDeviceConfigurationPOSTCopy configuration
exportSiteDeviceListPOSTExport device list of site
getForgetProcessGETGet batch forget process
getDeviceIncidentCountsPOSTGet site device incident counts
locatePortsPOSTLocate multiple ports of multiple switches
getMoveSiteProcessGETGet batch move site process
addDevicesPOSTBatch add devices (deprecated)
unbindActiveDeviceBySnPOSTChange the license from the old device to the new device
deleteTagDELETEDelete an existing tag
getTagsGETGet tag list
modifyTagPATCHModify an existing tag
addTagPOSTCreate new tag
existUnSupportRadSecDeviceGETCheck for unsupported RadSec devices.
uploadUpgradeFilePOSTUpload device firmware
getUplinkDeviceInfoPOSTQuery uplink information for specified device MAC addresses under the site.
getGridAdoptedBridgeDevicesBySiteGETGet Bridge group grouped devices
getGridPendingBridgeDevicesBySiteGETGet Bridge group ungrouped devices
getGridPendingDevicesBySiteGETGet adoptable device list of target site
exportPreConfigDevicesPOSTExport preconfigured devices of site.
activeDevicePOSTBatch active devices
getAddDevicesStatusGETBatch get added device status
addDevicesByDeviceKeyPOSTBatch add devices by DEVICE KEY.
getManuallyUpgradeResGETGet the result of the given manually upgrade task
cancelRollingUpgradeDELETEEnd the rolling upgrade task
getRollingUpgradeResGETGet the result of the given rolling upgrade task
activeDeviceBySnPOSTBatch active devices by SN
addDevicesBySnPOSTBatch add devices by SN
unbindDeviceBySnPOSTBatch unbind devices by SN
manuallyUpgradePOSTStart manually upgrade
onlineRollingUpgradePOSTStart batch rolling upgrade
updateDeviceTagPOSTSet device tag for given devices
unbindDevicePOSTBatch unbind devices
getAutoSelectDevicesPOSTGet auto select devices in quick-config page.
getMspAdoptTipGETMSP get adopt tip
exportMspAddFailDevicesGETExport the device file that failed to add in MSP view.
retryAddDeviceByMspPOSTretry add device in msp view
forgetDeviceForMspPOSTForget one device in MSP view.
addDevicesForMspPOSTBatch add devices in MSP view
getAdoptAbleDevicesForMspBatchAdoptGETBatch get info of adopted device in MSP view.

getAdoptTip ​

GET /openapi/v1/{omadacId}/adopt-tip

Get adopt tip

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
json
// omada_call_operation
{
  "operationId": "getAdoptTip"
}
Details, permissions and error codes

Get adopt tip
The interface requires one of the permissions:
Site Adopt Device Manager Access
Site Add Device Manager Access

searchGlobalDevice ​

GET /openapi/v1/{omadacId}/devices

Global search for devices returns the devices under the sites that have permissions.

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
searchKeyquerystringyessearchKey
json
// omada_call_operation
{
  "operationId": "searchGlobalDevice",
  "params": {
    "searchKey": "<searchKey>"
  }
}
Details, permissions and error codes

Global search for devices returns the devices under the sites that have permissions.
The interface requires one of the permissions:
Site Device Manager View Only

exportAddFailDevices ​

GET /openapi/v1/{omadacId}/devices/add/{operateId}/export

Export the device file that failed to add in GLOBAL view.

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
operateIdpathstringyesOperation ID
formatqueryintegeryesFile format. 0: CSV, 1: XLSX
json
// omada_call_operation
{
  "operationId": "exportAddFailDevices",
  "params": {
    "operateId": "<operateId>",
    "format": "<format>"
  }
}
Details, permissions and error codes

Export the device file that failed to add in GLOBAL view. Format should be a number as follows. 0 means CSV , 1 means XLSX.
The interface requires one of the permissions:
Site Add Device Manager Access

getAdoptAbleDevicesForGlobalBatchAdopt ​

GET /openapi/v1/{omadacId}/devices/batch/info

Batch get info of adopted device in global view.

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
sorts.namequerystringnoSort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect
sorts.statusquerystringnoSort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect
sorts.ipquerystringnoSort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect
searchKeyquerystringnoFuzzy query parameters, support field name,mac,ip
filters.tagquerystringnoFilter query parameters, support field tag name
json
// omada_call_operation
{
  "operationId": "getAdoptAbleDevicesForGlobalBatchAdopt"
}
Details, permissions and error codes

Batch get info of adopted device in global view.
The interface requires one of the permissions:
Site Adopt Device Manager Access
Site Add Device Manager Access

exportGlobalDeviceList ​

POST /openapi/v1/{omadacId}/devices/export

Export device list in GLOBAL view

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)

Request body — application/json (required) — schema ExportGlobalDeviceListOpenApiVO

FieldTypeRequiredDescription
modeintegeryesValue of mode should be 0 or 1 or 2. 0 : All columns, 1 : Customize the export columns, 2 : Default columns.
displayColumnsarray<string>noIn mode 1, the displayColumns cannot be empty. Allowed column name for input : ['deviceName', 'serialNumber', 'macAddress', 'ipAddress', 'publicIpAddress', 'ipv6Address', 'status', 'model', 'version', 'uplink', 'downlink', 'uptime', 'memoryUsage', 'cpuUsage', 'clients', 'downloadTraffic', 'uploadTraffic', 'loopback', 'hop', 'wlanGroup', 'override', 'radio2G', 'radio5G', 'radio6G', '2gClients', '5gClients', '6gClients', 'bSsid', 'txRate', 'rxRate', 'channel', 'channelUtilization2G', 'channelUtilization5G', 'channelUtilization6G', 'tags', 'lastSeen', 'configurationResult', 'licenseStatus'(pro controller exclusive), 'dueTime'(pro controller exclusive), 'series'(pro controller exclusive), 'health'(pro controller exclusive), 'stackGroup'(site view exclusive), 'uplinkDeviceName'(site view exclusive), 'uplinkDevicePort'(site view exclusive), 'linkSpeed'(site view exclusive), 'duplex'(site view exclusive)]
formatintegeryesFormat should be a value as follows. 0 means CSV , 1 means XLSX.
queryDataOpenApiQueryDataVOno(OpenApiQueryDataVO not expanded; call omada_get_schema "OpenApiQueryDataVO")
json
// omada_call_operation
{
  "operationId": "exportGlobalDeviceList",
  "body": "{...}"
}
Details, permissions and error codes

Export device list in GLOBAL view.
The interface requires one of the permissions:
Global Export Data Access

getGlobalDeviceIncidentCounts ​

POST /openapi/v1/{omadacId}/devices/incidents

Get global device incident counts

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)

Request body — application/json (required) — schema DeviceIncidentCountRequestOpenApiVO

FieldTypeRequiredDescription
deviceListarray<string>noDevice MAC addresses for which incident counts are requested.
json
// omada_call_operation
{
  "operationId": "getGlobalDeviceIncidentCounts",
  "body": "{...}"
}
Details, permissions and error codes

Get incident counts for the specified devices globally.
The interface requires one of the permissions:
Site Device Manager View Only
Incidents Page View Only

getGlobalKnownDeviceList ​

GET /openapi/v1/{omadacId}/devices/known-devices

Get global known device list

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
sorts.macquerystringnoSort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect
searchMacsquerystringnoFuzzy query parameters, support field mac
searchNamesquerystringnoFuzzy query parameters, support field name
searchModelsquerystringnoFuzzy query parameters, support field model
searchSnsquerystringnoFuzzy query parameters, support field sn
filters.tagquerystringnoFilter query parameters, support field tag ID
filters.deviceSeriesTypequerystringnoFilter query parameters, support field Device series type. 0: basic; 1: pro.
json
// omada_call_operation
{
  "operationId": "getGlobalKnownDeviceList"
}
Details, permissions and error codes

Get global known device list.
The interface requires one of the permissions:
Site Device Manager View Only
MSP Device Manager View Only

getGridAdoptedDevicesStatByGlobal ​

GET /openapi/v1/{omadacId}/devices/stat

Query the statistics for the list of global adopted devices.

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
sorts.namequerystringnoSort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect
sorts.statusquerystringnoSort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect
sorts.ipquerystringnoSort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect
searchKeyquerystringnoFuzzy query parameters, support field name,mac,ip
filters.tagquerystringnoFilter query parameters, support field tag name
json
// omada_call_operation
{
  "operationId": "getGridAdoptedDevicesStatByGlobal"
}
Details, permissions and error codes

Query the statistics for the list of global adopted devices.
The interface requires one of the permissions:
Site Device Manager View Only
MSP Device Manager View Only

getGlobalUnknownDeviceList ​

GET /openapi/v1/{omadacId}/devices/unknown-devices

Get global unknown device list

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
sorts.macquerystringnoSort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect
searchMacsquerystringnoFuzzy query parameters, support field mac
searchNamesquerystringnoFuzzy query parameters, support field name
searchModelsquerystringnoFuzzy query parameters, support field model
json
// omada_call_operation
{
  "operationId": "getGlobalUnknownDeviceList"
}
Details, permissions and error codes

Get global unknown device list.
The interface requires one of the permissions:
Site Device Manager View Only
MSP Device Manager View Only

exportPreConfigDevicesGlobal ​

POST /openapi/v1/{omadacId}/migrate/exportPreDevice

Export preconfigured devices in GLOBAL view.

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
json
// omada_call_operation
{
  "operationId": "exportPreConfigDevicesGlobal"
}
Details, permissions and error codes

Export preconfigured devices in GLOBAL view.
The interface requires one of the permissions:
Global Other Setting Modify

activeDeviceWithMultiSite ​

POST /openapi/v1/{omadacId}/multi-devices/active

Batch active devices with multi site

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)

Request body — application/json (required) — schema ActiveDeviceMultiSiteOpenApiVO

FieldTypeRequiredDescription
activePairListarray<ActivePairMultiSiteOpenApiDTO>yes
categorystringyesIt should be a value as follows: basic; ap; l2Switch; l3Switch; gateway
json
// omada_call_operation
{
  "operationId": "activeDeviceWithMultiSite",
  "body": "{...}"
}
Details, permissions and error codes

Batch active devices with multi site.
The interface requires one of the permissions:
Site Bind/Unbind License Manager Modify

getAddDevicesStatusMultiSite ​

GET /openapi/v1/{omadacId}/multi-devices/add/{operateId}/status

Batch get added device status with multi site

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
operateIdpathstringyesAdd device operation ID
json
// omada_call_operation
{
  "operationId": "getAddDevicesStatusMultiSite",
  "params": {
    "operateId": "<operateId>"
  }
}
Details, permissions and error codes

Batch get added device status with multi site.
The interface requires one of the permissions:
Site Add Device Manager Access

addDevicesBySnWithMultiSite ​

POST /openapi/v1/{omadacId}/multi-devices/sn-add

Batch add devices by SN with multi site

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)

Request body — application/json (required) — schema DeviceListAddMultiSiteBySnOpenApiVO

FieldTypeRequiredDescription
devicesarray<AddDeviceWithSiteBySnOpenApiVO>yesAdd devices list
json
// omada_call_operation
{
  "operationId": "addDevicesBySnWithMultiSite",
  "body": "{...}"
}
Details, permissions and error codes

Batch add devices by SN with multi site.
The interface requires one of the permissions:
Site Adopt Device Manager Access
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39039 - Too many devices imported at a time.
-39042 - Invalid device information in the imported file.
-39043 - Importing... Please wait.
-53125 - The Add Devices function has been locked due to too many invalid attempts.

getCheckFirmwareTaskResult ​

GET /openapi/v1/{omadacId}/sites/{siteId}/all-devices/check-latest-firmware-tasks/{taskId}

Get the result of the given check latest firmware task

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
taskIdpathstringyesTask ID. The ID is the return value of 'Start check latest firmware for all devices' interface
json
// omada_call_operation
{
  "operationId": "getCheckFirmwareTaskResult",
  "params": {
    "siteId": "<siteId>",
    "taskId": "<taskId>"
  }
}
Details, permissions and error codes

Get the result of the firmware update task, containing a list of devices with firmware updates
The interface requires one of the permissions:
Site Device Manager Modify

onlineCheckUpgrade ​

POST /openapi/v1/{omadacId}/sites/{siteId}/all-devices/start-check-latest-firmware

Start check latest firmware for all devices

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
json
// omada_call_operation
{
  "operationId": "onlineCheckUpgrade",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Start a task to query the latest firmware of all devices in the cloud.
The interface requires one of the permissions:
Site Device Manager Modify

moveSiteForAps ​

POST /openapi/v1/{omadacId}/sites/{siteId}/aps/site-move

Move aps to another site

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema ApMoveSiteOpenApiVO

FieldTypeRequiredDescription
targetSitestringyesTarget site ID
apMacsarray<string>noaps mac list
json
// omada_call_operation
{
  "operationId": "moveSiteForAps",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Move aps to another site. If you want to move networked bridge APs, ensure all APs in the bridge network are in movable state and move them at the same time. This interface will not move non-AP devices.
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1005 - Operation forbidden.
-33000 - This site does not exist.
-39050 - This device does not exist.
-39081 - The device is already in the target site.
-39094 - The site type does not match the device series, pro site can only manage Omada Pro device.
-39095 - The site type does not match the device series, basic site can only manage Omada device.
-39363 - Cannot move the bridge AP(s). Please ensure all the APs in the bridge network are in movable state and move them at the same time.
-44261 - The device does not support cluster and can only be adopted to its own site.

downloadDeviceInfo ​

GET /openapi/v1/{omadacId}/sites/{siteId}/cmd/devices/{deviceMac}/downloadDeviceInfo/{type}

Download device information.

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
deviceMacpathstringyesDevice MAC address, like AA-BB-CC-DD-EE-FF
typepathstringyesDevice Type. Supported type: ap, gateway, switch, olt.
json
// omada_call_operation
{
  "operationId": "downloadDeviceInfo",
  "params": {
    "siteId": "<siteId>",
    "deviceMac": "<deviceMac>",
    "type": "<type>"
  }
}
Details, permissions and error codes

Download device information.
The interface requires one of the permissions:
Site Device Manager View Only

batchAdopt ​

POST /openapi/v1/{omadacId}/sites/{siteId}/cmd/devices/batch-adopt

batch adopt device

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema BatchAdoptDeviceRequest

FieldTypeRequiredDescription
usernamestringnoAdopt device username. It should contain 1 to 64 characters.
passwordstringnoAdopt device password. It should contain 1 to 64 characters.
macsarray<string>noMAC list of devices. E.g. AA-BB-CC-DD-11-22
json
// omada_call_operation
{
  "operationId": "batchAdopt",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

batch adopt device.This interface does not return the actual adoptive result,you need to use the interface:Get device adopt result to obtain the adoptive result
The interface requires one of the permissions:
Site Adopt Device Manager Access
Site Add Device Manager Access

onlineRollingUpgradeByQuery ​

POST /openapi/v1/{omadacId}/sites/{siteId}/cmd/devices/onlineRollingUpgrade

Start batch rolling upgrade By Query

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
filters.ecspFirstVersionquerystringnoFilter query parameters, support field ecsp first version. 1: ecsp v1; 2: ecsp v2

Request body — application/json (required) — schema RollingUpgradeRequest

FieldTypeRequiredDescription
macsarray<string>noMAC list of devices. E.g. AA-BB-CC-DD-11-22
json
// omada_call_operation
{
  "operationId": "onlineRollingUpgradeByQuery",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Perform batch online upgrades of devices in a specific order within the site, and filter them using filter conditions. It is recommended to check the firmware update status before the operation, otherwise the firmware may not be the latest version
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39020 - Failed to upgrade because no device is ready for upgrading.

getDeviceWhiteList ​

GET /openapi/v1/{omadacId}/sites/{siteId}/device-white-list

Get the whitelist list of devices.

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
json
// omada_call_operation
{
  "operationId": "getDeviceWhiteList",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get the whitelist list of devices.
The interface requires one of the permissions:
Site Device Manager View Only

getDeviceList ​

GET /openapi/v1/{omadacId}/sites/{siteId}/devices

Get site device list

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
sorts.namequerystringnoSort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect
sorts.statusquerystringnoSort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect
sorts.ipquerystringnoSort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect
searchKeyquerystringnoFuzzy query parameters, support field name,mac,ip
filters.tagquerystringnoFilter query parameters, support field tag name
json
// omada_call_operation
{
  "operationId": "getDeviceList",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get site device list.
The interface requires one of the permissions:
Site Device Manager View Only
MSP Device Manager View Only

retryAddDevice ​

POST /openapi/v1/{omadacId}/sites/{siteId}/devices/{deviceMac}/add/retry

Retry add device

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
deviceMacpathstringyesDevice MAC address, like AA-BB-CC-DD-EE-FF

Request body — application/json (required) — schema RetryAddDeviceOpenApiVO

FieldTypeRequiredDescription
usernamestringnoretry add device username
passwordstringnoretry add device password
json
// omada_call_operation
{
  "operationId": "retryAddDevice",
  "params": {
    "siteId": "<siteId>",
    "deviceMac": "<deviceMac>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Retry add device
The interface requires one of the permissions:
Site Adopt Device Manager Access
Site Add Device Manager Access

getDeviceAdoptResult ​

GET /openapi/v1/{omadacId}/sites/{siteId}/devices/{deviceMac}/adopt-result

Get device adopt result

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
deviceMacpathstringyesDevice MAC address, like AA-BB-CC-DD-EE-FF
json
// omada_call_operation
{
  "operationId": "getDeviceAdoptResult",
  "params": {
    "siteId": "<siteId>",
    "deviceMac": "<deviceMac>"
  }
}
Details, permissions and error codes

Get device adopt result.
The interface requires one of the permissions:
Site Adopt Device Manager Access

checkMacType ​

GET /openapi/v1/{omadacId}/sites/{siteId}/devices/{deviceMac}/check-mac-type

Check the device type by mac.

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
deviceMacpathstringyesDevice MAC address, like AA-BB-CC-DD-EE-FF
json
// omada_call_operation
{
  "operationId": "checkMacType",
  "params": {
    "siteId": "<siteId>",
    "deviceMac": "<deviceMac>"
  }
}
Details, permissions and error codes

Check the device type by mac.
The interface requires one of the permissions:
Site Log & Audit Log Manager View Only

forceProvisionDevice ​

POST /openapi/v1/{omadacId}/sites/{siteId}/devices/{deviceMac}/force-provision

Force provision device

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
deviceMacpathstringyesDevice MAC address, like AA-BB-CC-DD-EE-FF
json
// omada_call_operation
{
  "operationId": "forceProvisionDevice",
  "params": {
    "siteId": "<siteId>",
    "deviceMac": "<deviceMac>"
  }
}
Details, permissions and error codes

Force provision device.
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1 - Something went wrong. Please try again later or contact our technical support.
-1001 - Invalid request parameters.
-1200 - You have been logged out of the controller. This may have been caused by web application switching, data restore, reboot, session timeout or disabled cloud access. Please try to log in again later.
-39050 - This device does not exist.
-39051 - Operation failed. Please try again later.

forgetDevice ​

POST /openapi/v1/{omadacId}/sites/{siteId}/devices/{deviceMac}/forget

Forget device

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
deviceMacpathstringyesDevice MAC address, like AA-BB-CC-DD-EE-FF
json
// omada_call_operation
{
  "operationId": "forgetDevice",
  "params": {
    "siteId": "<siteId>",
    "deviceMac": "<deviceMac>"
  }
}
Details, permissions and error codes

Forget device.
The interface requires one of the permissions:
Site Device Manager Modify
MSP Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39013 - Deletion failed. This device does not exist.
-39014 - To avoid damage, please do not forget the device during upgrading.
-39054 - Controller failed to forget device.
-39055 - Controller has forgotten the device but failed to reset it.

getSingleForgetProcess ​

GET /openapi/v1/{omadacId}/sites/{siteId}/devices/{deviceMac}/forget/{forgetId}/status

Get forget process of device

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
deviceMacpathstringyesDevice MAC address, like AA-BB-CC-DD-EE-FF
forgetIdpathstringyesForget ID
json
// omada_call_operation
{
  "operationId": "getSingleForgetProcess",
  "params": {
    "siteId": "<siteId>",
    "deviceMac": "<deviceMac>",
    "forgetId": "<forgetId>"
  }
}
Details, permissions and error codes

Get forget process of one device from batch-forget. The expire time of result for each device is 300 seconds.
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1 - Something went wrong. Please try again later or contact our technical support.
-1001 - Invalid request parameters.
-1200 - You have been logged out of the controller. This may have been caused by web application switching, data restore, reboot, session timeout or disabled cloud access. Please try to log in again later.
-39050 - This device does not exist.
-39104 - The current request parameters do not exist or the request result has expired.

getFirmwareInfo ​

GET /openapi/v1/{omadacId}/sites/{siteId}/devices/{deviceMac}/latest-firmware-info

Get the latest firmware info of the device

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
deviceMacpathstringyesDevice MAC address, like AA-BB-CC-DD-EE-FF
json
// omada_call_operation
{
  "operationId": "getFirmwareInfo",
  "params": {
    "siteId": "<siteId>",
    "deviceMac": "<deviceMac>"
  }
}
Details, permissions and error codes

Get latest firmware info of the device, including the latest firmware version and release logs.
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39050 - This device does not exist.

locateDevice ​

POST /openapi/v1/{omadacId}/sites/{siteId}/devices/{deviceMac}/locate

Locate device

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
deviceMacpathstringyesDevice MAC address, like AA-BB-CC-DD-EE-FF

Request body — application/json (required) — schema LocateDeviceRequest

FieldTypeRequiredDescription
locateEnablebooleanno
portListarray<integer>noPorts to be located
json
// omada_call_operation
{
  "operationId": "locateDevice",
  "params": {
    "siteId": "<siteId>",
    "deviceMac": "<deviceMac>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Locate device.
The interface requires one of the permissions:
Site Device Manager Modify
Site Clients Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39005 - Failed to adopt this device because the device is not connected.
-39121 - One or multiple devices do not support port locating.

getSingleMoveSiteProcess ​

GET /openapi/v1/{omadacId}/sites/{siteId}/devices/{deviceMac}/move/{moveSiteId}/status

Get move site process of device

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
deviceMacpathstringyesDevice MAC address, like AA-BB-CC-DD-EE-FF
moveSiteIdpathstringyesMove Site ID
json
// omada_call_operation
{
  "operationId": "getSingleMoveSiteProcess",
  "params": {
    "siteId": "<siteId>",
    "deviceMac": "<deviceMac>",
    "moveSiteId": "<moveSiteId>"
  }
}
Details, permissions and error codes

Get move site process of one device from batch-move-site. The expire time of result for each device is 300 seconds
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1 - Something went wrong. Please try again later or contact our technical support.
-1001 - Invalid request parameters.
-1200 - You have been logged out of the controller. This may have been caused by web application switching, data restore, reboot, session timeout or disabled cloud access. Please try to log in again later.
-39050 - This device does not exist.
-39104 - The current request parameters do not exist or the request result has expired.

getOnlineUpgradeRes ​

GET /openapi/v1/{omadacId}/sites/{siteId}/devices/{deviceMac}/online-upgrade-result

Get online upgrade result

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
deviceMacpathstringyesDevice MAC address, like AA-BB-CC-DD-EE-FF
json
// omada_call_operation
{
  "operationId": "getOnlineUpgradeRes",
  "params": {
    "siteId": "<siteId>",
    "deviceMac": "<deviceMac>"
  }
}
Details, permissions and error codes

Get the result of the online upgrade.
The interface requires one of the permissions:
Site Device Manager Modify

rebootDevice ​

POST /openapi/v1/{omadacId}/sites/{siteId}/devices/{deviceMac}/reboot

Reboot device

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
deviceMacpathstringyesDevice MAC address, like AA-BB-CC-DD-EE-FF
json
// omada_call_operation
{
  "operationId": "rebootDevice",
  "params": {
    "siteId": "<siteId>",
    "deviceMac": "<deviceMac>"
  }
}
Details, permissions and error codes

Reboot device.
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39006 - Operation failed. This device does not exist.
-39007 - Failed to reboot this device because the device is not connected.
-39008 - To avoid damage, please do not reboot the device during upgrading.
-39009 - Rebooting... Please wait.
-39010 - Failed to reboot. The device is synchronizing configurations.
-39011 - Failed to reboot. The controller is making provision for the device.
-39012 - Failed to send the reboot command to the device.

getDeviceRememberMe ​

GET /openapi/v1/{omadacId}/sites/{siteId}/devices/{deviceMac}/remember

Get device remember Config

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
deviceMacpathstringyesDevice MAC address, like AA-BB-CC-DD-EE-FF
json
// omada_call_operation
{
  "operationId": "getDeviceRememberMe",
  "params": {
    "siteId": "<siteId>",
    "deviceMac": "<deviceMac>"
  }
}
Details, permissions and error codes

Get device remember Config
The interface requires one of the permissions:
Site Device Manager View Only

modifyDeviceRememberMe ​

POST /openapi/v1/{omadacId}/sites/{siteId}/devices/{deviceMac}/remember

Modify device remember Config

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
deviceMacpathstringyesDevice MAC address, like AA-BB-CC-DD-EE-FF

Request body — application/json (required) — schema DeviceRememberConfig

FieldTypeRequiredDescription
rememberintegernoThe remember configuration of the device, 0 means disable, 1 means enable, 2 means follow site.
json
// omada_call_operation
{
  "operationId": "modifyDeviceRememberMe",
  "params": {
    "siteId": "<siteId>",
    "deviceMac": "<deviceMac>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify device remember Config
The interface requires one of the permissions:
Site Device Manager Modify

deleteReplaceRecord ​

DELETE /openapi/v1/{omadacId}/sites/{siteId}/devices/{deviceMac}/replace-device

Delete replace record

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
deviceMacpathstringyesDevice MAC address, like AA-BB-CC-DD-EE-FF
json
// omada_call_operation
{
  "operationId": "deleteReplaceRecord",
  "params": {
    "siteId": "<siteId>",
    "deviceMac": "<deviceMac>"
  }
}
Details, permissions and error codes

Delete replace record.
The interface requires one of the permissions:
Site Device Manager Modify

createReplaceRecord ​

POST /openapi/v1/{omadacId}/sites/{siteId}/devices/{deviceMac}/replace-device

Create replace record

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
deviceMacpathstringyesDevice MAC address, like AA-BB-CC-DD-EE-FF

Request body — application/json (required) — schema DeviceReplaceSettingVO

FieldTypeRequiredDescription
destinationDeviceKeystringyesDevice Key of the device.
usernamestringnoUser Name.
passwordstringnopassword.
json
// omada_call_operation
{
  "operationId": "createReplaceRecord",
  "params": {
    "siteId": "<siteId>",
    "deviceMac": "<deviceMac>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Create replace record.
The interface requires one of the permissions:
Site Device Manager Modify

modifyReplaceRecord ​

PUT /openapi/v1/{omadacId}/sites/{siteId}/devices/{deviceMac}/replace-device

Modify replace record

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
deviceMacpathstringyesDevice MAC address, like AA-BB-CC-DD-EE-FF

Request body — application/json (required) — schema DeviceReplaceSettingVO

FieldTypeRequiredDescription
destinationDeviceKeystringyesDevice Key of the device.
usernamestringnoUser Name.
passwordstringnopassword.
json
// omada_call_operation
{
  "operationId": "modifyReplaceRecord",
  "params": {
    "siteId": "<siteId>",
    "deviceMac": "<deviceMac>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify replace record.
The interface requires one of the permissions:
Site Device Manager Modify

checkReplaceRecord ​

POST /openapi/v1/{omadacId}/sites/{siteId}/devices/{deviceMac}/replace-device/check

Check replace record

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
deviceMacpathstringyesDevice MAC address, like AA-BB-CC-DD-EE-FF

Request body — application/json (required) — schema CheckReplaceVO

FieldTypeRequiredDescription
deviceKeystringyesDevice Key.
json
// omada_call_operation
{
  "operationId": "checkReplaceRecord",
  "params": {
    "siteId": "<siteId>",
    "deviceMac": "<deviceMac>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Check replace record.
The interface requires one of the permissions:
Site Device Manager Modify

moveSite ​

POST /openapi/v1/{omadacId}/sites/{siteId}/devices/{deviceMac}/site-move

Move site

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
deviceMacpathstringyesDevice MAC address, like AA-BB-CC-DD-EE-FF

Request body — application/json (required) — schema DeviceMoveSiteOpenApiVO

FieldTypeRequiredDescription
targetSitestringyesTarget site ID
json
// omada_call_operation
{
  "operationId": "moveSite",
  "params": {
    "siteId": "<siteId>",
    "deviceMac": "<deviceMac>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Move the device to another site. If you want to move a networked bridge AP, use the "batch move ap site" interface to move all APs in the bridge network at the same time.
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33000 - This site does not exist.
-33421 - The gateway model in the target site is different from the gateway model configured in the WAN Settings Overrides in the original site.
-39050 - This device does not exist.
-39081 - The device is already in the target site.
-39094 - The site type does not match the device series, pro site can only manage Omada Pro device.
-39095 - The site type does not match the device series, basic site can only manage Omada device.
-39363 - Cannot move the bridge AP(s). Please ensure all the APs in the bridge network are in movable state and move them at the same time.
-39502 - Failed to move the gateway. The target site already has a gateway.
-44261 - The device does not support cluster and can only be adopted to its own site.

adoptDevice ​

POST /openapi/v1/{omadacId}/sites/{siteId}/devices/{deviceMac}/start-adopt

Start adopt device

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
deviceMacpathstringyesDevice MAC address, like AA-BB-CC-DD-EE-FF

Request body — application/json (required) — schema AdoptDeviceRequest

FieldTypeRequiredDescription
usernamestringnoAdopt device username. It should contain 1 to 64 characters.
passwordstringnoAdopt device password. It should contain 1 to 64 characters.
json
// omada_call_operation
{
  "operationId": "adoptDevice",
  "params": {
    "siteId": "<siteId>",
    "deviceMac": "<deviceMac>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Start adopt device.This interface does not return the actual adoptive result, you need to use the interface:Get device adopt result to obtain the adoptive result
The interface requires one of the permissions:
Site Adopt Device Manager Access

onlineUpgrade ​

POST /openapi/v1/{omadacId}/sites/{siteId}/devices/{deviceMac}/start-online-upgrade

Start online upgrade

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
deviceMacpathstringyesDevice MAC address, like AA-BB-CC-DD-EE-FF
json
// omada_call_operation
{
  "operationId": "onlineUpgrade",
  "params": {
    "siteId": "<siteId>",
    "deviceMac": "<deviceMac>"
  }
}
Details, permissions and error codes

Upgrade the device with the latest firmware in the cloud. It is suggested to check firmware update before the operation, or the firmware might not be the latest
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39020 - Failed to upgrade because no device is ready for upgrading.
-39026 - The upgrade file is the same with the current version.

getOnlineTimeline ​

GET /openapi/v1/{omadacId}/sites/{siteId}/devices/{deviceMac}/timeline

Get device online timeline

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
deviceMacpathstringyesDevice MAC address, like AA-BB-CC-DD-EE-FF
queryParamqueryTimeIntervalQueryOpenApiVOnoObject: its fields (start, end) are sent as separate query parameters.
json
// omada_call_operation
{
  "operationId": "getOnlineTimeline",
  "params": {
    "siteId": "<siteId>",
    "deviceMac": "<deviceMac>"
  }
}
Details, permissions and error codes

Get device online timeline
The interface requires one of the permissions:
Site Device Manager View Only

getAllDeviceBySite ​

GET /openapi/v1/{omadacId}/sites/{siteId}/devices/all

Get device list info.

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
json
// omada_call_operation
{
  "operationId": "getAllDeviceBySite",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get device list info.
The interface requires one of the permissions:
Site Device Manager View Only
Site Dashboard Manager View Only

copyDeviceConfiguration ​

POST /openapi/v1/{omadacId}/sites/{siteId}/devices/copy

Copy configuration

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema DeviceCopyConfigurationOpenApiVO

FieldTypeRequiredDescription
sourceMacstringyesSource device MAC, like AA-BB-CC-DD-EE-FF
targetMacstringyesTarget device MAC, like AA-BB-CC-DD-EE-FF
json
// omada_call_operation
{
  "operationId": "copyDeviceConfiguration",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Copy the configuration of one device to another device of the same model. Only for switch and access point.
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39050 - This device does not exist.
-39056 - Failed to copy config because of source device not exist.
-39057 - Failed to copy config because of the copied device is different from the model of the source device.

exportSiteDeviceList ​

POST /openapi/v1/{omadacId}/sites/{siteId}/devices/export

Export device list of site

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema ExportGlobalDeviceListOpenApiVO

FieldTypeRequiredDescription
modeintegeryesValue of mode should be 0 or 1 or 2. 0 : All columns, 1 : Customize the export columns, 2 : Default columns.
displayColumnsarray<string>noIn mode 1, the displayColumns cannot be empty. Allowed column name for input : ['deviceName', 'serialNumber', 'macAddress', 'ipAddress', 'publicIpAddress', 'ipv6Address', 'status', 'model', 'version', 'uplink', 'downlink', 'uptime', 'memoryUsage', 'cpuUsage', 'clients', 'downloadTraffic', 'uploadTraffic', 'loopback', 'hop', 'wlanGroup', 'override', 'radio2G', 'radio5G', 'radio6G', '2gClients', '5gClients', '6gClients', 'bSsid', 'txRate', 'rxRate', 'channel', 'channelUtilization2G', 'channelUtilization5G', 'channelUtilization6G', 'tags', 'lastSeen', 'configurationResult', 'licenseStatus'(pro controller exclusive), 'dueTime'(pro controller exclusive), 'series'(pro controller exclusive), 'health'(pro controller exclusive), 'stackGroup'(site view exclusive), 'uplinkDeviceName'(site view exclusive), 'uplinkDevicePort'(site view exclusive), 'linkSpeed'(site view exclusive), 'duplex'(site view exclusive)]
formatintegeryesFormat should be a value as follows. 0 means CSV , 1 means XLSX.
queryDataOpenApiQueryDataVOno(OpenApiQueryDataVO not expanded; call omada_get_schema "OpenApiQueryDataVO")
json
// omada_call_operation
{
  "operationId": "exportSiteDeviceList",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Export device list of site.
The interface requires one of the permissions:
Site Export Data Access

getForgetProcess ​

GET /openapi/v1/{omadacId}/sites/{siteId}/devices/forget/{forgetId}/status

Get batch forget process

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
forgetIdpathstringyesForget ID
json
// omada_call_operation
{
  "operationId": "getForgetProcess",
  "params": {
    "siteId": "<siteId>",
    "forgetId": "<forgetId>"
  }
}
Details, permissions and error codes

Get process of the batch forget operation. The expire time of result is 300 seconds.
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1 - Something went wrong. Please try again later or contact our technical support.
-1001 - Invalid request parameters.
-1200 - You have been logged out of the controller. This may have been caused by web application switching, data restore, reboot, session timeout or disabled cloud access. Please try to log in again later.
-39104 - The current request parameters do not exist or the request result has expired.

getDeviceIncidentCounts ​

POST /openapi/v1/{omadacId}/sites/{siteId}/devices/incidents

Get site device incident counts

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema DeviceIncidentCountRequestOpenApiVO

FieldTypeRequiredDescription
deviceListarray<string>noDevice MAC addresses for which incident counts are requested.
json
// omada_call_operation
{
  "operationId": "getDeviceIncidentCounts",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Get incident counts for the specified devices in a site.
The interface requires one of the permissions:
Site Device Manager View Only
Incidents Page View Only

locatePorts ​

POST /openapi/v1/{omadacId}/sites/{siteId}/devices/locate/switch-ports

Locate multiple ports of multiple switches

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema LocateOswPortsOpenApiVO

FieldTypeRequiredDescription
portListVOsarray<OswNormalPortListVO>noList of Switch MAC and ports.
stackPortListVOsarray<OswStackPortListVO>noList of Stack ID and Standard Ports.
locateEnablebooleanyesWhether locate function is enabled
json
// omada_call_operation
{
  "operationId": "locatePorts",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Locate multiple ports of multiple switches
The interface requires one of the permissions:
Site Device Manager Modify
Device Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39005 - Failed to adopt this device because the device is not connected.
-39121 - One or multiple devices do not support port locating.

getMoveSiteProcess ​

GET /openapi/v1/{omadacId}/sites/{siteId}/devices/move/{moveSiteId}/status

Get batch move site process

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
moveSiteIdpathstringyesMove Site ID
json
// omada_call_operation
{
  "operationId": "getMoveSiteProcess",
  "params": {
    "siteId": "<siteId>",
    "moveSiteId": "<moveSiteId>"
  }
}
Details, permissions and error codes

Get process of the batch move site operation. The expire time of result is 300 seconds.
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1 - Something went wrong. Please try again later or contact our technical support.
-1001 - Invalid request parameters.
-1200 - You have been logged out of the controller. This may have been caused by web application switching, data restore, reboot, session timeout or disabled cloud access. Please try to log in again later.
-39104 - The current request parameters do not exist or the request result has expired.

addDevices ​

POST /openapi/v1/{omadacId}/sites/{siteId}/devices/multi-add

Deprecated

This operation is deprecated.

Batch add devices

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema DeviceListAddOpenApiVO

FieldTypeRequiredDescription
devicesarray<AddDeviceVO>yesAdd devices list
json
// omada_call_operation
{
  "operationId": "addDevices",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Batch add devices.This interface has been deprecated. Please use the following interface instead: Batch add devices by SN
The interface requires one of the permissions:
Site Adopt Device Manager Access
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39039 - Too many devices imported at a time.
-39042 - Invalid device information in the imported file.
-39043 - Importing... Please wait.
-53125 - The Add Devices function has been locked due to too many invalid attempts.

unbindActiveDeviceBySn ​

POST /openapi/v1/{omadacId}/sites/{siteId}/devices/sn-unbind-active

Change the license from the old device to the new device

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema UnbindActiveDeviceSnOpenApiVO

FieldTypeRequiredDescription
oldSnstringyesOld serial number. It should contains 13 characters
newSnstringyesNew serial number. It should contains 13 characters
json
// omada_call_operation
{
  "operationId": "unbindActiveDeviceBySn",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Change the license from the old device to the new device (using the same license).
The interface requires one of the permissions:
Site Bind/Unbind License Manager Modify

deleteTag ​

DELETE /openapi/v1/{omadacId}/sites/{siteId}/devices/tag

Delete an existing tag

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema DeleteTagOpenApiVO

FieldTypeRequiredDescription
tagIdstringyesTag ID
json
// omada_call_operation
{
  "operationId": "deleteTag",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Delete an existing tag.
The interface requires one of the permissions:
Site Device Manager Modify

getTags ​

GET /openapi/v1/{omadacId}/sites/{siteId}/devices/tag

Get tag list

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
json
// omada_call_operation
{
  "operationId": "getTags",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get tag list.
The interface requires one of the permissions:
Site Device Manager View Only
Site Map Manager View Only

modifyTag ​

PATCH /openapi/v1/{omadacId}/sites/{siteId}/devices/tag

Modify an existing tag

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema ModifyTagOpenApiVO

FieldTypeRequiredDescription
tagIdstringyesTag ID
namestringyesTag name should contain 1 to 128 ASCII characters.
json
// omada_call_operation
{
  "operationId": "modifyTag",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify an existing tag.
The interface requires one of the permissions:
Site Device Manager Modify

addTag ​

POST /openapi/v1/{omadacId}/sites/{siteId}/devices/tag

Create new tag

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema TagOpenApiVO

FieldTypeRequiredDescription
namestringyesTag name should contain 1 to 128 ASCII characters.
json
// omada_call_operation
{
  "operationId": "addTag",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Create new tag.
The interface requires one of the permissions:
Site Device Manager Modify

existUnSupportRadSecDevice ​

GET /openapi/v1/{omadacId}/sites/{siteId}/devices/un-support-radsec

Check for unsupported RadSec devices.

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
json
// omada_call_operation
{
  "operationId": "existUnSupportRadSecDevice",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get the result of detecting devices that do not support the RadSec feature.
The interface requires one of the permissions:
Site Device Manager View Only

uploadUpgradeFile ​

POST /openapi/v1/{omadacId}/sites/{siteId}/devices/upgrade-file

Upload device firmware

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — multipart/form-data (optional). File field(s): file.

json
// omada_call_operation
{
  "operationId": "uploadUpgradeFile",
  "params": {
    "siteId": "<siteId>"
  },
  "files": {
    "file": {
      "path": "/path/to/file"
    }
  }
}
Details, permissions and error codes

Upload device firmware for manually upgrade.
The interface requires one of the permissions:
Site Manual Firmware Upgrade Access
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39021 - Invalid file for upgrading.
-39022 - This file size is too large.

getUplinkDeviceInfo ​

POST /openapi/v1/{omadacId}/sites/{siteId}/devices/uplink-info

Query uplink information for specified device MAC addresses under the site.

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema QueryDeviceUplinkOpenApiVO

FieldTypeRequiredDescription
deviceMacsarray<string>noThe list of deviceMac that require querying uplink device information.
json
// omada_call_operation
{
  "operationId": "getUplinkDeviceInfo",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Query uplink information for specified device MAC addresses under the site.
The interface requires one of the permissions:
Site Device Manager View Only
MSP Device Manager View Only
Incidents Page View Only

getGridAdoptedBridgeDevicesBySite ​

GET /openapi/v1/{omadacId}/sites/{siteId}/grid/bridge-devices/adopted

Get Bridge group grouped devices

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
sorts.macquerystringnoSort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect
searchMacsquerystringnoFuzzy query parameters, support field mac
searchNamesquerystringnoFuzzy query parameters, support field name
searchModelsquerystringnoFuzzy query parameters, support field model
searchSnsquerystringnoFuzzy query parameters, support field sn
filters.tagquerystringnoFilter query parameters, support field tag ID
filters.deviceSeriesTypequerystringnoFilter query parameters, support field Device series type. 0: basic; 1: pro.
json
// omada_call_operation
{
  "operationId": "getGridAdoptedBridgeDevicesBySite",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get Bridge group grouped devices.
The interface requires one of the permissions:
Site Device Manager View Only

getGridPendingBridgeDevicesBySite ​

GET /openapi/v1/{omadacId}/sites/{siteId}/grid/bridge-devices/pending

Get Bridge group ungrouped devices

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
sorts.macquerystringnoSort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect
searchMacsquerystringnoFuzzy query parameters, support field mac
searchNamesquerystringnoFuzzy query parameters, support field name
searchModelsquerystringnoFuzzy query parameters, support field model
searchSnsquerystringnoFuzzy query parameters, support field sn
filters.tagquerystringnoFilter query parameters, support field tag ID
filters.deviceSeriesTypequerystringnoFilter query parameters, support field Device series type. 0: basic; 1: pro.
json
// omada_call_operation
{
  "operationId": "getGridPendingBridgeDevicesBySite",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get Bridge group ungrouped devices.
The interface requires one of the permissions:
Site Device Manager View Only

getGridPendingDevicesBySite ​

GET /openapi/v1/{omadacId}/sites/{siteId}/grid/devices/pending

Get adoptable device list of target site

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
searchKeyquerystringnosearchKey
json
// omada_call_operation
{
  "operationId": "getGridPendingDevicesBySite",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get adoptable device list of target site.
The interface requires one of the permissions:
Site Device Manager View Only

exportPreConfigDevices ​

POST /openapi/v1/{omadacId}/sites/{siteId}/migrate/exportPreDevice

Export preconfigured devices of site.

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
json
// omada_call_operation
{
  "operationId": "exportPreConfigDevices",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Export preconfigured devices of site.
The interface requires one of the permissions:
Global Other Setting Modify

activeDevice ​

POST /openapi/v1/{omadacId}/sites/{siteId}/multi-devices/active

Batch active devices

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema ActiveDeviceOpenApiVO

FieldTypeRequiredDescription
activePairListarray<ActivePairOpenApiDTO>yes
categorystringyesIt should be a value as follows: basic; ap; l2Switch; l3Switch; gateway
json
// omada_call_operation
{
  "operationId": "activeDevice",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Batch active devices.
The interface requires one of the permissions:
Site Bind/Unbind License Manager Modify

getAddDevicesStatus ​

GET /openapi/v1/{omadacId}/sites/{siteId}/multi-devices/add/{operateId}/status

Batch get added device status

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
operateIdpathstringyesAdd device operation ID
json
// omada_call_operation
{
  "operationId": "getAddDevicesStatus",
  "params": {
    "siteId": "<siteId>",
    "operateId": "<operateId>"
  }
}
Details, permissions and error codes

Batch get added device status.
The interface requires one of the permissions:
Site Add Device Manager Access

addDevicesByDeviceKey ​

POST /openapi/v1/{omadacId}/sites/{siteId}/multi-devices/devicekey-add

Batch add devices by DEVICE KEY.

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema DeviceListAddByDevicekeyOpenApiVO

FieldTypeRequiredDescription
devicesarray<AddDeviceByDevicekeyOpenApiVO>yesadd devices list
json
// omada_call_operation
{
  "operationId": "addDevicesByDeviceKey",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Batch add devices by DEVICE KEY.
The interface requires one of the permissions:
Site Adopt Device Manager Access
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39039 - Too many devices imported at a time.
-39042 - Invalid device information in the imported file.
-39043 - Importing... Please wait.
-53125 - The Add Devices function has been locked due to too many invalid attempts.

getManuallyUpgradeRes ​

GET /openapi/v1/{omadacId}/sites/{siteId}/multi-devices/manually-upgrade-tasks/{taskId}

Get the result of the given manually upgrade task

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
taskIdpathstringyesTask ID. The ID is the return value of 'Start manually upgrade' interface.
json
// omada_call_operation
{
  "operationId": "getManuallyUpgradeRes",
  "params": {
    "siteId": "<siteId>",
    "taskId": "<taskId>"
  }
}
Details, permissions and error codes

Get the result of the manually upgrade task. The results include whether the task is finished and how many devices have not completed the upgrade.
The interface requires one of the permissions:
Site Manual Firmware Upgrade Access

cancelRollingUpgrade ​

DELETE /openapi/v1/{omadacId}/sites/{siteId}/multi-devices/rolling-upgrade-tasks/{taskId}

End the rolling upgrade task

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
taskIdpathstringyesTask ID. The ID is the return value of 'Start batch rolling upgrade' interface.
json
// omada_call_operation
{
  "operationId": "cancelRollingUpgrade",
  "params": {
    "siteId": "<siteId>",
    "taskId": "<taskId>"
  }
}
Details, permissions and error codes

Cancel the rolling upgrade task in the site. But the devices which have completed the upgrade will not be rolled back to the old version
The interface requires one of the permissions:
Site Device Manager Modify

getRollingUpgradeRes ​

GET /openapi/v1/{omadacId}/sites/{siteId}/multi-devices/rolling-upgrade-tasks/{taskId}

Get the result of the given rolling upgrade task

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
taskIdpathstringyesTask ID. The ID is the return value of 'Start batch rolling upgrade' interface.
json
// omada_call_operation
{
  "operationId": "getRollingUpgradeRes",
  "params": {
    "siteId": "<siteId>",
    "taskId": "<taskId>"
  }
}
Details, permissions and error codes

Get the result of the rolling upgrade task. The results include whether the task is finished and how many devices have not completed the upgrade.
The interface requires one of the permissions:
Site Device Manager Modify

activeDeviceBySn ​

POST /openapi/v1/{omadacId}/sites/{siteId}/multi-devices/sn-active

Batch active devices by SN

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema ActiveDeviceSnOpenApiVO

FieldTypeRequiredDescription
activePairListarray<ActivePairSnOpenApiDTO>yes
categorystringyesIt should be a value as follows: basic; ap; l2Switch; l3Switch; gateway
json
// omada_call_operation
{
  "operationId": "activeDeviceBySn",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Batch active devices by SN.
The interface requires one of the permissions:
Site Bind/Unbind License Manager Modify

addDevicesBySn ​

POST /openapi/v1/{omadacId}/sites/{siteId}/multi-devices/sn-add

Batch add devices by SN

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema DeviceListAddBySnOpenApiVO

FieldTypeRequiredDescription
devicesarray<AddDeviceBySnOpenApiVO>yesAdd devices list
json
// omada_call_operation
{
  "operationId": "addDevicesBySn",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Batch add devices by SN.
The interface requires one of the permissions:
Site Adopt Device Manager Access
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39039 - Too many devices imported at a time.
-39042 - Invalid device information in the imported file.
-39043 - Importing... Please wait.
-53125 - The Add Devices function has been locked due to too many invalid attempts.

unbindDeviceBySn ​

POST /openapi/v1/{omadacId}/sites/{siteId}/multi-devices/sn-unbind

Batch unbind devices by SN

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema UnbindDeviceSnOpenApiVO

FieldTypeRequiredDescription
snsarray<string>yesUnbind device serial number list, serial number should contains 13 characters.
json
// omada_call_operation
{
  "operationId": "unbindDeviceBySn",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Batch unbind devices by SN.
The interface requires one of the permissions:
Site Bind/Unbind License Manager Modify

manuallyUpgrade ​

POST /openapi/v1/{omadacId}/sites/{siteId}/multi-devices/start-manually-upgrade

Start manually upgrade

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema UpgradeRequest

FieldTypeRequiredDescription
macsarray<string>noMAC list of devices
fileIdstringnoFirmware ID for upgrade
json
// omada_call_operation
{
  "operationId": "manuallyUpgrade",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Manually upgrade the devices of the same model in the site. The firmware needs to be uploaded first. Note: Each site can only execute one multi-device upgrade task at a time, and there is a number limit of the tasks that can be executed simultaneously in the controller.
The interface requires one of the permissions:
Site Manual Firmware Upgrade Access
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39020 - Failed to upgrade because no device is ready for upgrading.
-39050 - This device does not exist.
-43704 - The file has expired.

onlineRollingUpgrade ​

POST /openapi/v1/{omadacId}/sites/{siteId}/multi-devices/start-rolling-upgrade

Start batch rolling upgrade

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema RollingUpgradeRequest

FieldTypeRequiredDescription
macsarray<string>noMAC list of devices. E.g. AA-BB-CC-DD-11-22
json
// omada_call_operation
{
  "operationId": "onlineRollingUpgrade",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Batch online upgrade the devices in a certain order in the site. It is suggested to check firmware update before the operation, or the firmware might not be the latest
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39020 - Failed to upgrade because no device is ready for upgrading.

updateDeviceTag ​

POST /openapi/v1/{omadacId}/sites/{siteId}/multi-devices/tag

Set device tag for given devices

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema SetTagOpenApiVO

FieldTypeRequiredDescription
macsarray<string>noDevice MAC list, like AA-BB-CC-DD-EE-FF
tagIdsarray<string>yesTag ID list
json
// omada_call_operation
{
  "operationId": "updateDeviceTag",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Set device tag for given devices.
The interface requires one of the permissions:
Site Device Manager Modify

unbindDevice ​

POST /openapi/v1/{omadacId}/sites/{siteId}/multi-devices/unbind

Batch unbind devices

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema UnbindDeviceOpenApiVO

FieldTypeRequiredDescription
deviceMacsarray<string>yesUnbind device mac list, like AA-BB-CC-DD-EE-FF
json
// omada_call_operation
{
  "operationId": "unbindDevice",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Batch unbind devices.
The interface requires one of the permissions:
Site Bind/Unbind License Manager Modify

getAutoSelectDevices ​

POST /openapi/v1/{omadacId}/sites/{siteId}/quick-action/network-wizard/auto-select-devices

Get auto select devices in quick-config page.

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema QueryDeviceListOpenApiVO

FieldTypeRequiredDescription
macsarray<string>yesThe device MAC address list.
json
// omada_call_operation
{
  "operationId": "getAutoSelectDevices",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Get auto select devices in quick-config page.
The interface requires one of the permissions:
Site Home View Only
Site Dashboard Manager View Only

getMspAdoptTip ​

GET /openapi/v1/msp/{mspId}/adopt-tip

MSP get adopt tip

ParameterInTypeRequiredDescription
mspIdpathstringautoMSP ID (filled in automatically)
json
// omada_call_operation
{
  "operationId": "getMspAdoptTip"
}
Details, permissions and error codes

MSP get adopt tip
The interface requires one of the permissions:
MSP Adopt Device Manager Access
MSP Add Device Manager Access

exportMspAddFailDevices ​

GET /openapi/v1/msp/{mspId}/customers/{customerId}/devices/add/{operateId}/export

Export the device file that failed to add in MSP view.

ParameterInTypeRequiredDescription
mspIdpathstringautoMSP ID (filled in automatically)
customerIdpathstringyesCustomer ID
operateIdpathstringyesOperation ID
formatqueryintegeryesFile format. 0: CSV, 1: XLSX
json
// omada_call_operation
{
  "operationId": "exportMspAddFailDevices",
  "params": {
    "customerId": "<customerId>",
    "operateId": "<operateId>",
    "format": "<format>"
  }
}
Details, permissions and error codes

Export the device file that failed to add in MSP view. Format should be a value as follows. 0 means CSV , 1 means XLSX.
The interface requires one of the permissions:
MSP Add Device Manager Access
MSP Add Device Manager Access

retryAddDeviceByMsp ​

POST /openapi/v1/msp/{mspId}/customers/{customerId}/sites/{siteId}/devices/{deviceMac}/add/retry

retry add device in msp view

ParameterInTypeRequiredDescription
mspIdpathstringautoMSP ID (filled in automatically)
customerIdpathstringyesOmada ID
siteIdpathstringyesSite ID (site ID or site name)
deviceMacpathstringyesDevice MAC address, like AA-BB-CC-DD-EE-FF

Request body — application/json (required) — schema RetryAddDeviceOpenApiVO

FieldTypeRequiredDescription
usernamestringnoretry add device username
passwordstringnoretry add device password
json
// omada_call_operation
{
  "operationId": "retryAddDeviceByMsp",
  "params": {
    "customerId": "<customerId>",
    "siteId": "<siteId>",
    "deviceMac": "<deviceMac>"
  },
  "body": "{...}"
}
Details, permissions and error codes

retry add device in msp view
The interface requires one of the permissions:
MSP Adopt Device Manager Access
MSP Add Device Manager Access

forgetDeviceForMsp ​

POST /openapi/v1/msp/{mspId}/customers/{customerId}/sites/{siteId}/devices/{deviceMac}/forget

Forget one device in MSP view.

ParameterInTypeRequiredDescription
mspIdpathstringautoMSP ID (filled in automatically)
customerIdpathstringyesCustomer ID
siteIdpathstringyesSite ID (site ID or site name)
deviceMacpathstringyesDevice MAC address, like AA-BB-CC-DD-EE-FF
json
// omada_call_operation
{
  "operationId": "forgetDeviceForMsp",
  "params": {
    "customerId": "<customerId>",
    "siteId": "<siteId>",
    "deviceMac": "<deviceMac>"
  }
}
Details, permissions and error codes

Forget one device in MSP view.
The interface requires one of the permissions:
MSP Device Manager Modify

addDevicesForMsp ​

POST /openapi/v1/msp/{mspId}/customers/{customerId}/sites/{siteId}/devices/multi-add

Batch add devices in MSP view

ParameterInTypeRequiredDescription
mspIdpathstringautoMSP ID (filled in automatically)
customerIdpathstringyesOmada ID
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema MspAddDeviceListOpenApiVO

FieldTypeRequiredDescription
devicesarray<AddDeviceVO>yesAdd devices list
keepResultbooleannoSave the last result
allowOfflinebooleannoWhether to allow offline addition. The default value is False
verifyCodestringno
addTypeintegerno0/null indicates SN, and 1 indicates deviceKey
mspIdstringnoMSP ID
json
// omada_call_operation
{
  "operationId": "addDevicesForMsp",
  "params": {
    "customerId": "<customerId>",
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Batch add devices in MSP view.
The interface requires one of the permissions:
MSP Add Device Manager Access
MSP Add Device Manager Access

getAdoptAbleDevicesForMspBatchAdopt ​

GET /openapi/v1/msp/{mspId}/devices/batch/info

Batch get info of adopted device in MSP view.

ParameterInTypeRequiredDescription
mspIdpathstringautoMSP ID (filled in automatically)
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
sorts.namequerystringnoSort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect
sorts.statusquerystringnoSort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect
sorts.ipquerystringnoSort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect
searchKeyquerystringnoFuzzy query parameters, support field name,mac,ip
filters.tagquerystringnoFilter query parameters, support field tag name
json
// omada_call_operation
{
  "operationId": "getAdoptAbleDevicesForMspBatchAdopt"
}
Details, permissions and error codes

Batch get info of adopted device in MSP view.
The interface requires one of the permissions:
MSP Adopt Device Manager Access
MSP Add Device Manager Access

Released under the MIT License. Not affiliated with or endorsed by TP-Link.